# https://ftp.dlitz.net/pub/dlitz/crypto/pycrypto/pycrypto-2.6.1.tar.gz
%define module crypto

Name:           python-%{module}
Version:        2.6.1
Release:        %mkrel 1
Summary:        Cryptography library for Python

License:        Public Domain and Python
Group:          Development/Python
URL:            http://www.dlitz.net/software/pycrypto
Source0:        pycrypto-%{version}.tar.xz
Patch0:         python-crypto-2.4-optflags.patch
Patch1:         python-crypto-2.4-fix-pubkey-size-divisions.patch
Patch2:         pycrypto-2.6.1-CVE-2013-7459.patch
Patch4:         python-crypto-2.6.1-link.patch
Patch5:         pycrypto-2.6.1-CVE-2018-6594.patch

BuildRequires:  %{_lib}gmp-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:	python3-setuptools

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}
License:        Public Domain and Python
Group:          Development/Python

%description -n python3-%{module}
%{summary}.

%files
%doc ACKS ChangeLog Doc COPYRIGHT LEGAL README TODO
%{python_sitearch}/*

%files -n python3-%{module}
%doc ACKS ChangeLog Doc COPYRIGHT LEGAL README TODO
%{python3_sitearch}/*

%prep
%setup -qn pycrypto-%{version}
%apply_patches
cp -a . %{py3dir}
2to3 -wn %{py3dir}/pct-speedtest.py

%build
%global optflags %{optflags} -fno-strict-aliasing
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitearch}
popd
%py2_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

%check
%{__python2} setup.py test
pushd %py3dir
%{__python3} setup.py test
popd

%changelog
* Thu Apr 12 2018 marcin82 <fixxer1982 at gmail.com> 2.6.1-1pclos2018
- update, changed url, source url
- added patches from Fedora

* Sat Jun 26 2016 ghostbunny <ghostbunny at gmx dot de> 1.1.0-3pclos2016
- add python3 package

* Fri Mar 04 2016 bb <bb> 1.1.0-2pclos2016
- rebuild
